.. _api_core:

Core API
========

This section provides detailed API documentation for the core modules of EnTiSe.

TimeSeriesGenerator
------------------

.. automodule:: entise.core.generator
   :members:
   :undoc-members:
   :show-inheritance:

RowExecutor
----------

.. automodule:: entise.core.runner
   :members:
   :undoc-members:
   :show-inheritance:

Base Classes
-----------

.. automodule:: entise.core.base
   :members:
   :undoc-members:
   :show-inheritance:

Auxiliary Base Classes
--------------------

.. automodule:: entise.core.base_auxiliary
   :members:
   :undoc-members:
   :show-inheritance:

Registry
-------

.. automodule:: entise.core.registry
   :members:
   :undoc-members:
   :show-inheritance: